Forgot password?

Create an account!

Forum

« back

RhinoScript – NetworkSrf

Messages

Please log in to write a message.

  • 4. Johannes (Oct 16, 2014 15.33):

    Hi, but isn't DuplicateEdgeCurves() the function you are looking for?
    As far as i see is the only problem that you don't know the order of the crvs in the result!?

    Johannes

  • 3. Ehsan (Oct 16, 2014 13.40):

    Hi Johannes,

    first thank you for reply.

    I'd like to avoid any prompts to pick the curves. It should run automatically...Is there any possibility to do this??


    Ehsan

  • 2. Johannes (Oct 16, 2014 13.26):

    Hi, what about Rhino.GetEdgeCurves() ?

    'Select surface edges
            Dim arrEdge     : arrEdge = Rhino.GetEdgeCurves("Pick edge crvs", 2, 2, False)
            Dim arrCrvs     : ReDim arrCrvs(Ubound(arrEdge))
            Dim i
           
            For i = 0 To Ubound(arrCrvs)
                    arrCrvs(i) = arrEdge(i)(0)
            Next
           
           
            Call Rhino.AddLoftSrf(arrCrvs)

    Johannes

  • 1. Ehsan (Oct 16, 2014 11.04):

    Hi,

    i want to create a surface using the method in the title, NetworkSrf. I'd like to select the edges from existing surfaces. I dont want to select the curves. Is it possible???

    In this Code i use the _DupEdge command. But that ist not the way i want to solve my problem.

    t_curv = Rhino.DuplicateEdgeCurves(t)
    q_curv = Rhino.DuplicateEdgeCurves(q)
    r_curv = Rhino.DuplicateEdgeCurves(r)
    s_curv = Rhino.DuplicateEdgeCurves(s)

    Many thanks for your help
    Ehsan
    surf = Rhino.AddNetworkSrf(Array(t_curv(0), q_curv(2), r_curv(2), s_curv(0)), 2)

Recommend

Why are these buttons gray?